Bug 1288532 (CVE-2016-1568) - CVE-2016-1568 Qemu: ide: ahci use-after-free vulnerability in aio port commands
Summary: CVE-2016-1568 Qemu: ide: ahci use-after-free vulnerability in aio port commands
Status: CLOSED ERRATA
Alias: CVE-2016-1568
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160108,repo...
Keywords: Security
Depends On: 1297023 1297024 1297290 1297291 1297292 1297293 1297296 1297297 1297299 1298395
Blocks: 1288546 1298460
TreeView+ depends on / blocked
 
Reported: 2015-12-04 14:12 UTC by Adam Mariš
Modified: 2016-04-26 15:23 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A use-after-free flaw was found in the way QEMU's IDE AHCI emulator processed certain AHCI Native Command Queuing (NCQ) AIO commands. A privileged guest user could use this flaw to crash the QEMU process instance or, potentially, execute arbitrary code on the host with privileges of the QEMU process.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 20:33:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0084 normal SHIPPED_LIVE Important: qemu-kvm-rhev security and bug fix update 2016-01-28 20:56:05 UTC
Red Hat Product Errata RHSA-2016:0086 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-01-28 20:55:50 UTC
Red Hat Product Errata RHSA-2016:0087 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-01-28 20:55:43 UTC
Red Hat Product Errata RHSA-2016:0088 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-01-28 20:55:36 UTC

Description Adam Mariš 2015-12-04 14:12:13 UTC
Qemu emulator built with the IDE AHCI Emulation support is vulnerable to
a use  after free issue. It could occur after processing AHCI Native
Command Queuing(NCQ) AIO commands.

A privileged user inside guest could use this flaw to crash the Qemu process 
instance or potentially execute arbitrary code with privileges of the Qemu 
process on the host.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg01184.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/01/09/2

Comment 2 Adam Mariš 2015-12-04 14:35:10 UTC
Acknowledgments:

Red Hat would like to thank Qinghao Tang of Qihoo 360 Marvel Team for reporting this issue.

Comment 3 Prasad J Pandit 2016-01-08 18:45:33 UTC
Statement: 

(none)

Comment 4 Prasad J Pandit 2016-01-08 18:51:10 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1297024]

Comment 5 Prasad J Pandit 2016-01-08 18:51:25 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1297023]

Comment 12 Fedora Update System 2016-01-24 03:27:03 UTC
qemu-2.4.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2016-01-28 15:56:29 UTC
This issue has been addressed in the following products:

  OpenStack 7 For RHEL 7

Via RHSA-2016:0088 https://rhn.redhat.com/errata/RHSA-2016-0088.html

Comment 14 errata-xmlrpc 2016-01-28 15:57:48 UTC
This issue has been addressed in the following products:

  OpenStack 6 for RHEL 7

Via RHSA-2016:0087 https://rhn.redhat.com/errata/RHSA-2016-0087.html

Comment 15 errata-xmlrpc 2016-01-28 15:59:14 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2016:0086 https://rhn.redhat.com/errata/RHSA-2016-0086.html

Comment 16 errata-xmlrpc 2016-01-28 16:02:11 UTC
This issue has been addressed in the following products:

  RHEV 3.6 For IBM Power Systems
  RHEV-H and Agents for RHEL-7

Via RHSA-2016:0084 https://rhn.redhat.com/errata/RHSA-2016-0084.html


Note You need to log in before you can comment on or make changes to this bug.